Subject: Re: Is git-imap-send able to use SSL?

From: Andreas Ericsson <[email-masked]>
Date: Sun, 22 Jun 2008 21:11:01 +0200

Alam Arias wrote:
> On Fri, 20 Jun 2008 18:08:42 +0200
> Cristian Peraferrer <[email-masked]> wrote:
> 
>> I am trying to use git-imap-send to send a Draft to my GMail account  
>> which uses SSL to connect, I have put the correct port (993 in that  
>> case) in the config file but it seems it doesn't work. I figure that  
>> git-imap-send is not able to connect using SSL.
>>
>  well, there a patch by for SSL support for git-imap-send by Rob
> Shearman "[email-masked]" over two weeks ago but it did not
> apply cleanly on master at the time, well, maybe I can send
> my version of this patch? or do I need to ask Rob Shearman?
> 

Since the patch was made against the current git sources, which are GPL,
the patch itself and the produced sources are also GPL. As such, you're
free to continue the work he sent you and submit it back to git, but you
may not alter the license for your submitted code.

That is: "Yes, you may work on Rob Shearmans patch, but the result must
be GPL'd".

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231